@import "../../../node_modules/bootstrap/scss/functions";
@import "../../../node_modules/bootstrap/scss/mixins";
@import "../../../node_modules/bootstrap/scss/variables";

$direction-rtl : rtl;
$direction-ltr : ltr;

// TW COLORS
$tw-black : #000;
$tw-dark4 : #212121;
$tw-dark3 : #424242;
$tw-gray2 : #616161;
$tw-gray3 : #999;
$tw-gray4 : #c6c6c6;
$tw-white : #F5F5F5;
$tw-red : #D02026;
$tw-crimson : #6D0101;
$tw-blue : #00B0FF;
$tw-orange : #F76304;
$facebook-color: #4267b2;
$twitter-color: #1da1f2;
$telegram-color : #32afed;
$linkedin-color: #0077B5;

$tw-hover-gray1 : #292929;

$colors : (
	blue: $blue,
	indigo: $indigo,
	purple: $purple,
	pink: $pink,
	red: $red,
	orange: $orange,
	yellow: $yellow,
	green: $green,
	teal: $teal,
	cyan: $cyan,
	white: $white,
	gray: $gray-600,
	// CUSTOM COLORS
	tw-dark4: $tw-dark4,
	tw-dark3: $tw-dark3,
	tw-gray2: $tw-gray2,
	tw-gray3: $tw-gray3,
	tw-gray4: $tw-gray4,
	tw-white: $tw-white,
	tw-red: $tw-red,
	tw-crimson: $tw-crimson,
	tw-blue: $tw-blue,
	tw-black: $tw-black,
	tw-orange:$tw-orange
);

$theme-colors : (
	primary: $blue,
	secondary: $gray-600,
	success: $green,
	info: $cyan,
	warning: $yellow,
	danger: $red,
	light: $gray-100,
	dark: $gray-800,
	// CUSTOM COLORS
	tw-dark4: $tw-dark4,
	tw-dark3: $tw-dark3,
	tw-gray2: $tw-gray2,
	tw-gray3: $tw-gray3,
	tw-gray4: $tw-gray4,
	tw-white: $tw-white,
	tw-red: $tw-red,
	tw-crimson: $tw-crimson,
	tw-blue: $tw-blue,
	tw-black: $tw-black,
	tw-orange:$tw-orange
);

$enable-shadows : true;

$spacers : (
	0: 0,
	1: ($spacer * .25),
	2: ($spacer * .5),
	3: $spacer,
	4: ($spacer * 1.5),
	5: ($spacer * 2),
	6: ($spacer * 3),
	7: ($spacer * 4.5),
);

//  FONTS -----
$font-name : iransans;
$font-name-ultra-light : iransans-ultra-light;
$font-name-light : iransans-light;
$font-name-medium : iransans-medium;
$font-name-bold : iransans-bold;

$font-family-base : $font-name;
$font-size-base : 1rem; // Assumes the browser default, typically `16px`
$headings-font-family : $font-name;
$input-btn-focus-box-shadow : 0;

$custom-select-bg-size : 24px 30px; // In pixels because image dimensions
$custom-select-indicator : str-replace(url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 768 768'%3E%3Cpath fill='#{$custom-select-indicator-color}' d='M598.6 265.4c-12.4-12.4-32.8-12.4-45.2 0l-169.4 169.4-169.4-169.4c-12.4-12.4-32.8-12.4-45.2 0s-12.4 32.8 0 45.2l192 192c6.2 6.2 14.4 9.4 22.6 9.4s16.4-3.2 22.6-9.4l192-192c12.6-12.4 12.6-32.8 0-45.2z'/%3E%3C/svg%3E"), "#", "%23");

$popover-max-width : 376px;
$popover-border-color : rgba($black, .1);
$popover-box-shadow : 5px 5px 10px rgba($black, .3);

$carousel-control-width : 3%;
$carousel-control-prev-icon-bg : str-replace(url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='#{$carousel-control-color}' viewBox='0 0 1792 1792'%3E%3Cpath d='M1171 1235l-531 -531l531 -531q19 -19 19 -45t-19 -45l-166 -166q-19 -19 -45 -19t-45 19l-742 742q-19 19 -19 45t19 45l742 742q19 19 45 19t45 -19l166 -166q19 -19 19 -45t-19 -45z'/%3E%3C/svg%3E"), "#", "%23");
$carousel-control-next-icon-bg : str-replace(url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='#{$carousel-control-color}' viewBox='0 0 1792 1792'%3E%3Cpath d='M1107 659l-742 -742q-19 -19 -45 -19t-45 19l-166 166q-19 19 -19 45t19 45l531 531l-531 531q-19 19 -19 45t19 45l166 166q19 19 45 19t45 -19l742 -742q19 -19 19 -45t-19 -45z'/%3E%3C/svg%3E"), "#", "%23");

$custom-control-indicator-box-shadow : none;
$custom-control-indicator-checked-color : $white;
$custom-checkbox-indicator-icon-checked : str-replace(url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3E%3Cpath fill='#{$custom-control-indicator-checked-color}' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3E%3C/svg%3E"), "#", "%23");
$custom-control-indicator-focus-box-shadow : none;

$modal-dialog-margin : 10px;
$modal-dialog-margin-y-sm-up : $modal-dialog-margin;
$modal-lg : auto;
$modal-md : auto;
$modal-sm : auto;

$grid-breakpoints : (
	xs: 0,
	sm: 574px,
	md: 800px,
	lg: 1024px,
	xl: 1232px,
	xxl: 1472px
);

$container-max-widths : (
	sm: 100%,
	md: 768px,
	lg: 992px,
	xl: 1200px,
	xxl: 1440px
);

@mixin make-max-widths-container-width($max-widths, $breakpoints) {
	@each $breakpoint, $container-max-width in $max-widths {
		@include media-breakpoint-up($breakpoint, $breakpoints) {
			max-width : $container-max-width;
		}
	}
}

.container {
	@include make-max-widths-container-width($container-max-widths, $grid-breakpoints);
}

